package org.artifactory.event.priority.service.strategy;

import org.artifactory.event.priority.service.model.PrioritizedNodeEvent;
import org.artifactory.event.priority.service.NodeEventPriorityChart;

import java.util.function.Predicate;
import java.util.stream.Collectors;

/**
 * @author Uriah Levy
 */
public class ExecutionPredicatePriorityChartStrategy implements PriorityChartStrategy {

    private Predicate<PrioritizedNodeEvent> executionPredicate;

    public ExecutionPredicatePriorityChartStrategy(Predicate<PrioritizedNodeEvent> executionPredicate) {
        this.executionPredicate = executionPredicate;
    }

    @Override
    public void apply(NodeEventPriorityChart priorityChart) {
        priorityChart.setEvents(priorityChart.getEvents().stream()
                .filter(executionPredicate)
                .collect(Collectors.toList()));
    }
}
