/*
 *
 * Artifactory is a binaries repository manager.
 * Copyright (C) 2018 JFrog Ltd.
 *
 * Artifactory is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 * Artifactory is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with Artifactory.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

package org.artifactory.environment.converter.local.version.v4;

import org.artifactory.common.ArtifactoryHome;
import org.artifactory.environment.converter.local.version.MarkerFileConverter;
import org.artifactory.version.ArtifactoryVersion;

import java.io.File;

/**
 * @author Noam Shemesh
 */
public class V560AddAccessEmigrateMarkerFile extends MarkerFileConverter {
    @Override
    protected ArtifactoryVersion getVersionToUpgrade() {
        return ArtifactoryVersion.v560m001;
    }

    @Override
    protected File getMarkerFile(ArtifactoryHome artifactoryHome) {
        return artifactoryHome.getAccessEmigrateMarkerFile();
    }
}
