package org.artifactory.storage.db.binstore.service.garbage;

import org.artifactory.api.repo.RepositoryService;
import org.artifactory.repo.trash.TrashService;
import org.artifactory.storage.binstore.service.BinaryService;
import org.artifactory.storage.db.binstore.dao.BinariesDao;
import org.artifactory.storage.db.fs.dao.NodesDao;
import org.artifactory.test.ArtifactoryHomeBoundTest;
import org.testng.annotations.Test;

import static org.mockito.Mockito.mock;
import static org.testng.Assert.*;

/**
 * @author Uriah Levy
 */
@Test
public class GCProviderTest extends ArtifactoryHomeBoundTest {

    public void testShouldPrintReport() {
        TrashGCProvider trashGCProvider = new TrashGCProvider(mock(TrashService.class), mock(NodesDao.class));
        assertFalse(trashGCProvider.reportAfterBatch());

        BinariesGCProvider binariesGCProvider = new BinariesGCProvider(mock(BinaryService.class), mock(BinariesDao.class), mock(
                RepositoryService.class));
        assertTrue(binariesGCProvider.reportAfterBatch());

        TrashAndBinariesGCProvider trashAndBinariesGCProvider = new TrashAndBinariesGCProvider(mock(
                RepositoryService.class), mock(TrashService.class), mock(BinaryService.class));
        assertTrue(trashAndBinariesGCProvider.reportAfterBatch());
    }
}