package org.artifactory.rest.services.system;

import com.sun.management.OperatingSystemMXBean;
import com.sun.management.UnixOperatingSystemMXBean;
import org.artifactory.rest.resource.system.SystemInfo;
import org.testng.annotations.BeforeMethod;
import org.testng.annotations.Test;

import java.lang.management.ManagementFactory;

import static org.testng.Assert.assertNotNull;
import static org.testng.Assert.assertTrue;

/**
 *
 */

public class SystemInfoServiceImplTest {

    private SystemInfoService systemServiceInfo;

    @BeforeMethod
    public void setup() {
        systemServiceInfo = new SystemInfoServiceImpl();
    }

    private static OperatingSystemMXBean mbean =
            (com.sun.management.OperatingSystemMXBean)
                    ManagementFactory.getOperatingSystemMXBean();

    @Test(enabled = false)
    public void testGetSystemInfo() {
        SystemInfo systemInfo = systemServiceInfo.getSystemInfo();
        assertNotNull(systemInfo);
        assertTrue(systemInfo.getCommittedVirtualMemorySize() > 0L);
        assertTrue(systemInfo.getFreeSwapSpaceSize() > 0L);
        assertTrue(systemInfo.getTotalSwapSpaceSize() > 0L);
        assertTrue(systemInfo.getProcessCpuTime() > 0L);
        assertTrue(systemInfo.getFreePhysicalMemorySize() > 0L);
        assertTrue(systemInfo.getTotalPhysicalMemorySize() > 0L);
        assertTrue(systemInfo.getSystemCpuLoad() >= 0L);
        assertTrue(systemInfo.getProcessCpuLoad() >= 0L);
        if(mbean instanceof UnixOperatingSystemMXBean) {
            assertTrue(systemInfo.getOpenFileDescriptorCount() > 0L);
            assertTrue(systemInfo.getMaxFileDescriptorCount() > 0L);
        }
        assertTrue(systemInfo.getNumberOfCores()  > 0L);
        assertTrue(systemInfo.getHeapMemoryUsage()  > 0L);
        assertTrue(systemInfo.getNoneHeapMemoryUsage()  > 0L);
        assertTrue(systemInfo.getNoneHeapMemoryMax()  > 0L);
        assertTrue(systemInfo.getThreadCount()  > 0L);
        assertTrue(systemInfo.getHeapMemoryMax()  > 0L);
        assertTrue(systemInfo.getJvmUpTime()  > 0L);
    }
}